OWASP Top 10

OWASP Top 10

1.0.0OAS 3.0

A simple HTTP request and response service designed to demonstrate protection against the OWASP Top 10 vulnerabilities.

API Base URL
  • Server 1:https://shared-services.kong-sales-engineering.com

    Production server

Security
basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Returns request data

Returns the request data including headers, URL, and body.

post
https://shared-services.kong-sales-engineering.com/owasptop10

Body

application/json
firstNamestring
lastNamestring
emailstring

Response

200 application/json

Successful response

argsobject
datastring
filesobject
formobject
headersobject
jsonobject
methodstring
originstring
urlstring
post/owasptop10

Body

{ "firstName": "Pete", "lastName": "Townsend", "email": "ptowns@gmail.com" }
 
200 application/json